package main

import (
	"context"
	"lmika.dev/lmika/hugo-crm/models"
	"lmika.dev/lmika/hugo-crm/providers/db"
	"log"
)

func main() {
	dbp, err := db.New("postgres://postgres:postgres@localhost:5432/postgres?sslmode=disable")
	if err != nil {
		log.Fatal(err)
	}
	defer dbp.Close()

	log.Println("Connected to database")
	if err := dbp.Migrate(context.Background()); err != nil {
		log.Fatal(err)
	}

	log.Println("Database migrated")

	if err := dbp.InsertSite(context.Background(), &models.Site{
		Name: "Test site",
		URL:  "https://www.testsite.com",
	}); err != nil {
		log.Fatal(err)
	}
}
